GEO-IP Mapping Error after ES-Upgrade to Version 2


#1

Hello together,

after upgrading my ES-Cluster to Version 2.2 I get some problems with my logstash-indexer:
"MapperParsingException[Mapping definition for [geoip] has unsupported parameters: [path : full]];" (log)

It seems that Logstash can't index the logfiles so that no indexes can be created. With the option "template_overwrite" I have found a workaround for this but I rather would get it running without this option. (and I cant really understand what this option changes)

So, is there a solution ?

Thanks, Yannick K.


(system) #2